﻿namespace Typps
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Runtime.Serialization;
    using System.Text;

    [DataContract]
    public class CallbackHandler
    {
        #region Fields

        string commandArgumentValue;
        string commandNameValue;
        string messageValue;

        #endregion Fields

        #region Constructors

        public CallbackHandler(string commandName, string commandArgument, string message)
        {
            commandNameValue = commandName;
            commandArgumentValue = commandArgument;
            messageValue = message;
        }

        #endregion Constructors

        #region Properties

        [DataMember(Name="commandArgument")]
        public string CommandArgument
        {
            get { return commandArgumentValue; }
            set { commandArgumentValue = value; }
        }

        [DataMember(Name="commandName")]
        public string CommandName
        {
            get { return commandNameValue; }
            set { commandNameValue = value; }
        }

        [DataMember(Name="message")]
        public string Message
        {
            get { return messageValue; }
            set { messageValue = value; }
        }

        #endregion Properties
    }
}