﻿/*
____
 L|ypps Web controls for ASP.NET

Copyright (c) 2009 Alessandro Zifiglio, http://www.Typps.com
EMail: alessandro@Typps.com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
namespace Typps
{
    using System;
    using System.ComponentModel.Design;
    using System.Design;
    using System.Reflection;
    using System.Security.Permissions;
    using System.Web.UI.WebControls;

    public class ToolBarCollectionEditor : CollectionEditor
    {
        #region Constructors

        public ToolBarCollectionEditor(Type type)
            : base(type)
        {
        }

        #endregion Constructors

        #region Methods

        protected override bool CanSelectMultipleInstances()
        {
            return false;
        }

        protected override CollectionEditor.CollectionForm CreateCollectionForm()
        {
            CollectionEditor.CollectionForm form1 = base.CreateCollectionForm();
            form1.Text = "ToolBarSet";
            return form1;
        }

        protected override object CreateInstance(Type itemType)
        {
            return Activator.CreateInstance(itemType, BindingFlags.CreateInstance | BindingFlags.Public | BindingFlags.Instance, null, null, null);
        }

        protected override Type[] CreateNewItemTypes()
        {
            return new Type[] { typeof(ToolBarSet) };
        }

        #endregion Methods
    }
}