﻿#region Header

/*
____
 L|ypps Web controls for ASP.NET

Copyright (c) 2009 Alessandro Zifiglio, http://www.Typps.com
EMail: alessandro@Typps.com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#endregion Header

using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;
using System.Security.Permissions;
using System.Web.UI;

[assembly: AllowPartiallyTrustedCallers]

// General Information about an assembly is controlled through the following
// set of attributes. Change these attribute values to modify the information
// associated with an assembly.
//Debug mode:
[assembly: WebResource("Typps.Resources.ClientScripts.editor.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.imagepicker.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.colorpicker.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.mediaframe.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.updatepanelprogress.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.modalpopup.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.slidepane.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.spryeffects.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.effects.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.startup.js", "text/javascript")]

//Release mode:
[assembly: WebResource("Typps.Resources.ClientScripts.editor.min.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.imagepicker.min.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.colorpicker.min.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.mediaframe.min.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.updatepanelprogress.min.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.modalpopup.min.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.slidepane.min.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.spryeffects.min.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.effects.min.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.ClientScripts.startup.min.js", "text/javascript")]
[assembly: WebResource("Typps.Resources.HttpFiles.data.htm", "text/html")]

/*you don't need to mark everything with the webresource attribute,
 only resources you want to access from the outside. so question : why am i exposing
 everything as a webresource? not that it matters but ouch :-) */
[assembly: WebResource("Typps.Resources.Dtd.xhtml-lat1.ent", "text/xml")]
[assembly: WebResource("Typps.Resources.Dtd.xhtml-special.ent", "text/xml")]
[assembly: WebResource("Typps.Resources.Dtd.xhtml-symbol.ent", "text/xml")]
[assembly: WebResource("Typps.Resources.Dtd.xhtml1-frameset.dtd", "text/xml")]
[assembly: WebResource("Typps.Resources.Dtd.xhtml1-strict.dtd", "text/xml")]
[assembly: WebResource("Typps.Resources.Dtd.xhtml1-transitional.dtd", "text/xml")]
[assembly: WebResource("Typps.Resources.Localization.Resource.resx", "text/xml")]

//
//Dictionaries
[assembly: WebResource("Typps.Resources.Dictionary.Defaults.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Dictionary.en-US", "text/plain")]
[assembly: WebResource("Typps.Resources.Dictionary.en-GB", "text/plain")]
[assembly: WebResource("Typps.Resources.Dictionary.it-IT", "text/plain")]
[assembly: WebResource("Typps.Resources.Images.slidepane.bmp", "image/bmp")]
[assembly: WebResource("Typps.Resources.Images.effects.bmp", "image/bmp")]
[assembly: WebResource("Typps.Resources.Images.editor.bmp", "image/bmp")]
[assembly: WebResource("Typps.Resources.Images.imagepicker.bmp", "image/bmp")]
[assembly: WebResource("Typps.Resources.Images.updatepanelprogress.bmp", "image/bmp")]
[assembly: WebResource("Typps.Resources.Images.colorpicker.bmp", "image/bmp")]
[assembly: WebResource("Typps.Resources.Images.mediaframe.bmp", "image/bmp")]

// classic skin
[assembly: WebResource("Typps.Resources.Skins.Classic.Css.shared.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Css.imagepicker.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Css.mediaframe.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Css.colorpicker.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Css.updatepanelprogress.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Css.editoricons.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Css.slidepane.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Css.editorimagespritesbasic.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Css.editorimagespritesadvanced.css", "text/css")]

//templates
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.TableDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.CellDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.ImageDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.ImageBrowser.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.FileUpload.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.ImageFileUpload.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.Hyperlink.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.FileBrowser.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.CodeHilighter.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.WordCleanup.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.SpellCheckerCompleteMessage.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.ErrorsLoggedMessage.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.ColorPickerDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Templates.MediaFrame.html", "text/html")]

//settings
[assembly: WebResource("Typps.Resources.Skins.Classic.Preconfig.toolBardefaultsadvanced.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Preconfig.toolBardefaultsbasic.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Preconfig.tabsdefaultsadvanced.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Preconfig.tabsdefaultsbasic.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Preconfig.cssclassnameslist.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Preconfig.transformations.xml", "text/xml")]

//images
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.bar1.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.bar2.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.bar3.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.bar4.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.bar5.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.bar6.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.fontname.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.underline.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.tabs.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.tabsbasic.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.check.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.cssclassname.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.toolBar-divider.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.folderclosed.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.folderopen.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.folderempty.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.img.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.tristatebutton200x33.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.tristatebutton110x33.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.tristatebutton80x33.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.tristateclosebutton16x48.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.transparent.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.grabcur.ico", "image/bmp")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Shared.grabbingcur.ico", "image/bmp")]

//Tabs
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.Tabs.tab-leftborder.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.Tabs.tab-background.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.Tabs.tab-colorcode.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.Tabs.tab-designview.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.Tabs.tab-htmlview.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.Tabs.tab-preview.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.Tabs.tab-warning.gif", "image/gif")]

//bar 1
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar1.toolBar-bold.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar1.toolBar-colorhilight.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar1.toolBar-fontcolor.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar1.toolBar-fontname.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar1.toolBar-fontsize.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar1.toolBar-formatblock.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar1.toolBar-italic.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar1.toolBar-quote.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar1.toolBar-strikethrough.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar1.toolBar-underline.gif", "image/gif")]

//bar2
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar2.toolBar-copy.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar2.toolBar-cut.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar2.toolBar-paste.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar2.toolBar-print.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar2.toolBar-redo.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar2.toolBar-save.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar2.toolBar-selectall.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar2.toolBar-spellcheck.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar2.toolBar-undo.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar2.toolBar-unselect.gif", "image/gif")]

//bar 3
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar3.toolBar-codehilighter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar3.toolBar-createlink.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar3.toolBar-insertimage.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar3.toolBar-wordcleanup.gif", "image/gif")]

//bar 4
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-cssclasslist.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-delete.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-indent.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-justifycenter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-justifyright.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-justifyleft.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-justify.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-orderedlist.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-outdent.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-removeformat.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-subscript.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-superscript.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar4.toolBar-unorderedlist.gif", "image/gif")]

//bar 5
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar5.toolBar-addcolumnafter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar5.toolBar-addcolumnbefore.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar5.toolBar-addrowafter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar5.toolBar-addrowbefore.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar5.toolBar-deletecolumn.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar5.toolBar-deleterow.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar5.toolBar-deletetable.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar5.toolBar-inserttable.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBars.bar5.toolBar-cellproperties.gif", "image/gif")]

//toolBarset
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBarset.toolBarset-background.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBarset.toolBarset-leftborder.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.Editor.ToolBarset.toolBarset-options.gif", "image/gif")]

//updatepanelprogress
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.UpdatePanelProgress.progressbar.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.UpdatePanelProgress.progressbar-gradient.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.UpdatePanelProgress.updatepanelprogress.gif", "image/gif")]

//imagepicker
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.ImagePicker.404.gif", "image/gif")]

//color picker
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.ColorPicker.colorpicker.gif", "image/gif")]

//mediaframe
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.MediaFrame.mediaframe.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.MediaFrame.tristateclosebutton16x48.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.MediaFrame.slideshow.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.MediaFrame.pause.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.MediaFrame.first.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.MediaFrame.last.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.MediaFrame.next.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.MediaFrame.prev.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.MediaFrame.indicator.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.MediaFrame.404.gif", "image/gif")]

//SlidePane
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.SlidePane.horizontalslidehandle.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.Classic.Images.SlidePane.verticalslidehandle.gif", "image/gif")]

//bluesteel
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Css.shared.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Css.imagepicker.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Css.colorpicker.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Css.mediaframe.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Css.updatepanelprogress.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Css.slidepane.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Css.editoricons.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Css.editorimagespritesbasic.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Css.editorimagespritesadvanced.css", "text/css")]

//Templates
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.TableDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.CellDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.ImageDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.ImageBrowser.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.FileUpload.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.ImageFileUpload.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.Hyperlink.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.CodeHilighter.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.WordCleanup.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.SpellCheckerCompleteMessage.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.ErrorsLoggedMessage.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.ColorPickerDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Templates.MediaFrame.html", "text/html")]

//Settings
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Preconfig.toolBardefaultsadvanced.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Preconfig.toolBardefaultsbasic.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Preconfig.tabsdefaultsadvanced.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Preconfig.tabsdefaultsbasic.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Preconfig.cssclassnameslist.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Preconfig.transformations.xml", "text/xml")]

//Images
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.bar1.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.bar2.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.bar3.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.bar4.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.bar5.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.bar6.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.fontname.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.underline.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.tabs.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.tabsbasic.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.check.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.cssclassname.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.toolBar-divider.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Shared.folderclosed.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Shared.folderopen.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Shared.img.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Shared.tristatebutton200x33.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Shared.tristatebutton110x33.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Shared.tristatebutton80x33.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Shared.tristateclosebutton16x48.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Shared.transparent.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Shared.grabcur.ico", "image/bmp")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Shared.grabbingcur.ico", "image/bmp")]

//color picker
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.ColorPicker.colorpicker.gif", "image/gif")]

//mediaframe
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.MediaFrame.mediaframe.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.MediaFrame.tristateclosebutton16x48.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.MediaFrame.slideshow.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.MediaFrame.pause.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.MediaFrame.first.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.MediaFrame.last.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.MediaFrame.next.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.MediaFrame.prev.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.MediaFrame.indicator.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.MediaFrame.404.gif", "image/gif")]

//Tabs
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.Tabs.tab-leftborder.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.Tabs.tab-background.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.Tabs.tab-colorcode.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.Tabs.tab-designview.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.Tabs.tab-htmlview.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.Tabs.tab-preview.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.Tabs.tab-warning.gif", "image/gif")]

//bar 1
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar1.toolBar-bold.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar1.toolBar-colorhilight.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar1.toolBar-fontcolor.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar1.toolBar-fontname.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar1.toolBar-fontsize.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar1.toolBar-formatblock.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar1.toolBar-italic.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar1.toolBar-quote.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar1.toolBar-strikethrough.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar1.toolBar-underline.gif", "image/gif")]

//bar2
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar2.toolBar-copy.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar2.toolBar-cut.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar2.toolBar-paste.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar2.toolBar-print.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar2.toolBar-redo.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar2.toolBar-save.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar2.toolBar-selectall.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar2.toolBar-spellcheck.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar2.toolBar-undo.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar2.toolBar-unselect.gif", "image/gif")]

//bar 3
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar3.toolBar-codehilighter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar3.toolBar-createlink.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar3.toolBar-insertimage.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar3.toolBar-wordcleanup.gif", "image/gif")]

//bar 4
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-cssclasslist.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-delete.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-indent.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-justifycenter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-justifyright.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-justifyleft.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-justify.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-orderedlist.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-outdent.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-removeformat.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-subscript.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-superscript.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar4.toolBar-unorderedlist.gif", "image/gif")]

//bar 5
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar5.toolBar-addcolumnafter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar5.toolBar-addcolumnbefore.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar5.toolBar-addrowafter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar5.toolBar-addrowbefore.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar5.toolBar-deletecolumn.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar5.toolBar-deleterow.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar5.toolBar-deletetable.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar5.toolBar-inserttable.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBars.bar5.toolBar-cellproperties.gif", "image/gif")]

//toolBarset
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBarset.toolBarset-background.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBarset.toolBarset-leftborder.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.Editor.ToolBarset.toolBarset-options.gif", "image/gif")]

//updatepanelprogress
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.UpdatePanelProgress.progressbar.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.UpdatePanelProgress.progressbar-gradient.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.UpdatePanelProgress.updatepanelprogress.gif", "image/gif")]

//imagepicker
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.ImagePicker.404.gif", "image/gif")]

//SlidePane
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.SlidePane.horizontalslidehandle.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.BlueSteel.Images.SlidePane.verticalslidehandle.gif", "image/gif")]

//KnightRider theme
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Css.shared.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Css.imagepicker.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Css.colorpicker.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Css.mediaframe.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Css.updatepanelprogress.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Css.slidepane.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Css.editoricons.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Css.editorimagespritesbasic.css", "text/css")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Css.editorimagespritesadvanced.css", "text/css")]

//Templates
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.TableDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.CellDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.ImageDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.ImageBrowser.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.FileUpload.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.ImageFileUpload.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.Hyperlink.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.CodeHilighter.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.WordCleanup.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.SpellCheckerCompleteMessage.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.ErrorsLoggedMessage.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.ColorPickerDesigner.html", "text/html")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Templates.MediaFrame.html", "text/html")]

//Settings
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Preconfig.toolBardefaultsadvanced.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Preconfig.toolBardefaultsbasic.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Preconfig.tabsdefaultsadvanced.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Preconfig.tabsdefaultsbasic.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Preconfig.cssclassnameslist.xml", "text/xml")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Preconfig.transformations.xml", "text/xml")]

//images
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.bar1.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.bar2.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.bar3.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.bar4.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.bar5.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.bar6.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.fontname.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.underline.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.tabs.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.tabsbasic.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.check.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.cssclassname.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.toolBar-divider.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Shared.folderclosed.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Shared.folderopen.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Shared.img.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Shared.tristatebutton200x33.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Shared.tristatebutton110x33.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Shared.tristatebutton80x33.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Shared.tristateclosebutton16x48.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Shared.transparent.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Shared.grabcur.ico", "image/bmp")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Shared.grabbingcur.ico", "image/bmp")]

//color picker
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.ColorPicker.colorpicker.gif", "image/gif")]

//mediaframe
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.MediaFrame.mediaframe.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.MediaFrame.tristateclosebutton16x48.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.MediaFrame.slideshow.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.MediaFrame.pause.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.MediaFrame.first.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.MediaFrame.last.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.MediaFrame.next.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.MediaFrame.prev.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.MediaFrame.indicator.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.MediaFrame.404.gif", "image/gif")]

//Tabs
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.Tabs.tab-leftborder.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.Tabs.tab-background.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.Tabs.tab-colorcode.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.Tabs.tab-designview.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.Tabs.tab-htmlview.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.Tabs.tab-preview.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.Tabs.tab-warning.gif", "image/gif")]

//bar 1
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar1.toolBar-bold.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar1.toolBar-colorhilight.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar1.toolBar-fontcolor.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar1.toolBar-fontname.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar1.toolBar-fontsize.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar1.toolBar-formatblock.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar1.toolBar-italic.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar1.toolBar-quote.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar1.toolBar-strikethrough.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar1.toolBar-underline.gif", "image/gif")]

//bar2
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar2.toolBar-copy.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar2.toolBar-cut.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar2.toolBar-paste.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar2.toolBar-print.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar2.toolBar-redo.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar2.toolBar-save.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar2.toolBar-selectall.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar2.toolBar-spellcheck.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar2.toolBar-undo.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar2.toolBar-unselect.gif", "image/gif")]

//bar 3
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar3.toolBar-codehilighter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar3.toolBar-createlink.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar3.toolBar-insertimage.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar3.toolBar-wordcleanup.gif", "image/gif")]

//bar 4
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-cssclasslist.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-delete.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-indent.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-justifycenter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-justifyright.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-justifyleft.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-justify.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-orderedlist.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-outdent.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-removeformat.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-subscript.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-superscript.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar4.toolBar-unorderedlist.gif", "image/gif")]

//bar 5
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar5.toolBar-addcolumnafter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar5.toolBar-addcolumnbefore.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar5.toolBar-addrowafter.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar5.toolBar-addrowbefore.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar5.toolBar-deletecolumn.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar5.toolBar-deleterow.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar5.toolBar-deletetable.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar5.toolBar-inserttable.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBars.bar5.toolBar-cellproperties.gif", "image/gif")]

//toolBarset
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBarset.toolBarset-background.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBarset.toolBarset-leftborder.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.Editor.ToolBarset.toolBarset-options.gif", "image/gif")]

//updatepanelprogress
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.UpdatePanelProgress.progressbar.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.UpdatePanelProgress.progressbar-gradient.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.UpdatePanelProgress.updatepanelprogress.gif", "image/gif")]

//imagepicker
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.ImagePicker.404.gif", "image/gif")]

//SlidePane
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.SlidePane.horizontalslidehandle.gif", "image/gif")]
[assembly: WebResource("Typps.Resources.Skins.KnightRider.Images.SlidePane.verticalslidehandle.gif", "image/gif")]
[assembly: AssemblyTitle("Typps")]
[assembly: AssemblyDescription("An AJAX ToolKit containing various components to facilitate web development.")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("Typps.com")]
[assembly: AssemblyProduct("Typps")]
[assembly: AssemblyCopyright("Copyright © Alessandro Zifiglio 2009")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// Setting ComVisible to false makes the types in this assembly not visible
// to COM components.  If you need to access a type in this assembly from
// COM, set the ComVisible attribute to true on that type.
[assembly: ComVisible(false)]

// The following GUID is for the ID of the typelib if this project is exposed to COM
[assembly: Guid("b97dacde-3173-4969-bf45-32c2d32f26c7")]

// Version information for an assembly consists of the following four values:
//
//      Major Version
//      Minor Version
//      Build Number
//      Revision
//
// You can specify all the values or you can default the Revision and Build Numbers
// by using the '*'
//<major version>.<minor version>.<build number>.<revision>
[assembly: AssemblyVersion("3.1.*")]
[assembly: AssemblyFileVersion("3.1")]